<div class="container-fluid">
	<div class="row">
		<div class="col-sm-6" >
			<h3>Register</h3>		
				
			<!-- ngform -->
			<form (submit)="signup()" #registerForm="ngForm">
				<div class="form-group">
				  <label for="">Name</label>
				  <input type="text" class="form-control" [(ngModel)]="register.name" name="name" required="">
				</div>
				<div class="form-group">
				  <label for="">Username</label>
				  <input type="text" class="form-control" [(ngModel)]="register.username" name="username" required minlength="3" #username="ngModel"> 
					<!-- username # control required minlength validatoins... validation messages.. -->
					<div *ngIf="username.errors && (username.dirty || username.touched)" class="text-danger" >
		        <span [hidden]="!username.errors.minlength">
		        	  Title must be at least 3 characters long.
		        	</span>
		      </div><!-- end u -->

				</div>
				<div class="form-group">
					<label for="">Email</label>
					<input type="text" class="form-control form-control-sm" name="email" [(ngModel)]="register.email" required>
				</div>
				<div class="form-group">
					<label for="">Password</label>
					<input type="password" class="form-control form-control-sm" [(ngModel)]="register.password" name="password" required>
				</div><!-- end .form-group -->

				<div class="form-group">
					<label for="">Confirm password</label>
					<input type="password" class="form-control form-control-sm" [(ngModel)]="register.confirm_password" name="confirm_password" required>
				</div><!-- end .form-group -->
				
				<!-- disabled on register for valid check... -->
				<button class="btn btn-danger" type="submit" [disabled]="!registerForm.form.valid">Register</button>

			</form>
		</div><!-- end .col-sm-12 -->
		<div class="col-sm-6" *ngIf="error">
			<div class="alert alert-danger" role="alert">
				<h4>Errors!</h4>
				<hr>
			  <ul>
			  	<li>username already exists</li>
			  	<li>passwords does not match</li>
			  </ul>
			</div>
		</div>
	</div><!-- end .row -->
</div><!-- end .container-fluid -->